# Interface MobileDrawOptions

interface MobileDrawOptions {
minPoints: number;
style: StyleLike;
type: string;
wrapX: boolean;
}

- Defined in src/interaction/MobileDraw.js:38

#####
Index

### Properties

minPoints
style
type
wrapX

## Properties

### minPoints

minPoints: number

The number of points that must be drawn before a polygon ring or line string can be finished. Default is `3` for polygon rings and `2` for line strings.

- Defined in src/interaction/MobileDraw.js:39

### style

style: StyleLike

Style for sketch features.

- Defined in src/interaction/MobileDraw.js:41

### type

type: string

Drawing type ('Point' or 'LineString'.

- Defined in src/interaction/MobileDraw.js:42

### wrapX

wrapX: boolean

Wrap the world horizontally on the sketch overlay. Default is `false`.

- Defined in src/interaction/MobileDraw.js:43

Generated using TypeDoc